Package com.emc.documentum.rest.http

# Class SupportedMediaTypes

java.lang.Object
com.emc.documentum.rest.http.SupportedMediaTypes

public final class SupportedMediaTypes extends Object
A class that holds all supported media types and their format extensions

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final org.springframework.http.MediaType`
  `APPLICATION_JOP`
  The media type `application/jop+json`
  `static final String`
  `APPLICATION_JOP_STRING`
  The media type `application/jop+json`
  `static final org.springframework.http.MediaType`
  `APPLICATION_JSON_HAL`
  The media type `application/hal+json`
  `static final String`
  `APPLICATION_JSON_HAL_STRING`
  String value of the media type `application/hal+json`
  `static final org.springframework.http.MediaType`
  `APPLICATION_JSON_HOME`
  The media type `application/home+json`
  `static final String`
  `APPLICATION_JSON_HOME_STRING`
  String value of the media type `application/home+json`
  `static final org.springframework.http.MediaType`
  `APPLICATION_JSON_WILD`
  The media type `application/*+json`
  `static final String`
  `APPLICATION_JSON_WILD_STRING`
  String value of the media type `application/*+json`
  `static final org.springframework.http.MediaType`
  `APPLICATION_VND_DCTM_JSON`
  The media type `application/vnd.emc.documentum+json`
  `static final String`
  `APPLICATION_VND_DCTM_JSON_STRING`
  String value of the media type `application/vnd.emc.documentum+json`
  `static final org.springframework.http.MediaType`
  `APPLICATION_VND_DCTM_XML`
  The media type `application/vnd.emc.documentum+xml`
  `static final String`
  `APPLICATION_VND_DCTM_XML_STRING`
  String value of the media type `application/vnd.emc.documentum+xml`
  `static final org.springframework.http.MediaType`
  `APPLICATION_VND_XPLORE_XML`
  The media type `application/vnd.emc.xplore+xml`
  `static final String`
  `APPLICATION_VND_XPLORE_XML_STRING`
  String value of media tye `application/vnd.emc.xplore+xml`
  `static final org.springframework.http.MediaType`
  `APPLICATION_XML_HOME`
  The media type `application/home+xml`
  `static final String`
  `APPLICATION_XML_HOME_STRING`
  String value of the media type `application/home+xml`
  `static final org.springframework.http.MediaType`
  `APPLICATION_XML_WILD`
  The media type `application/*+xml`
  `static final String`
  `APPLICATION_XML_WILD_STRING`
  String value of the media type `application/*+xml`
  `static final org.springframework.http.MediaType`
  `APPLICATION_XOP`
  The media type `application/xop+xml`
  `static final String`
  `APPLICATION_XOP_STRING`
  The media type `application/xop+xml`
  `static final org.springframework.http.MediaType`
  `APPLICATION_ZIP`
  The media type `application/zip`
  `static final String`
  `APPLICATION_ZIP_STRING`
  String value of the media type `application/zip`
  `static final org.springframework.http.MediaType`
  `MULTIPART_MIXED`
  The media type `multipart/mixed`
  `static final org.springframework.http.MediaType`
  `MULTIPART_RELATED`
  The media type `multipart/related`
  `static final String`
  `MULTIPART_RELATED_STRING`
  The media type `multipart/related`
  `static final org.springframework.http.MediaType[]`
  `WRITABLE_HAL_MEDIA_TYPES`
  `static final org.springframework.http.MediaType[]`
  `WRITABLE_JSON_MEDIA_TYPES`
  `static final org.springframework.http.MediaType[]`
  `WRITABLE_XML_MEDIA_TYPES`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static List<org.springframework.http.MediaType>`
  `all()`
  Deprecated.
  the method is not used any more
  `static org.springframework.http.MediaType`
  `defaultAtomEntryMediaType()`
  Deprecated.
  the method is not used any more
  `static org.springframework.http.MediaType`
  `defaultMediaType()`
  Deprecated.
  the method is not used any more
  `static List<org.springframework.http.MediaType>`
  `get(String formatExt)`
  Deprecated.
  the method is not used any more
  `static List<org.springframework.http.MediaType>`
  `getMediaTypes(String mediaType)`
  Get the media type list for the supported media type string
  `static String`
  `standardFormatExt(String requestUri)`
  Get standard URI format extension from the URI
  `static String[]`
  `supportedConsumableMediaType()`
  Return the supported consumable media types at runtime setting.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### APPLICATION_VND_DCTM_XML_STRING

    public static final String APPLICATION_VND_DCTM_XML_STRING
    String value of the media type `application/vnd.emc.documentum+xml`
    See Also:
      - Constant Field Values

  - ### APPLICATION_VND_DCTM_JSON_STRING

    public static final String APPLICATION_VND_DCTM_JSON_STRING
    String value of the media type `application/vnd.emc.documentum+json`
    See Also:
      - Constant Field Values

  - ### APPLICATION_JSON_HOME_STRING

    public static final String APPLICATION_JSON_HOME_STRING
    String value of the media type `application/home+json`
    See Also:
      - Constant Field Values

  - ### APPLICATION_XML_HOME_STRING

    public static final String APPLICATION_XML_HOME_STRING
    String value of the media type `application/home+xml`
    See Also:
      - Constant Field Values

  - ### APPLICATION_JSON_HAL_STRING

    public static final String APPLICATION_JSON_HAL_STRING
    String value of the media type `application/hal+json`
    See Also:
      - Constant Field Values

  - ### APPLICATION_JSON_WILD_STRING

    public static final String APPLICATION_JSON_WILD_STRING
    String value of the media type `application/*+json`
    See Also:
      - Constant Field Values

  - ### APPLICATION_XML_WILD_STRING

    public static final String APPLICATION_XML_WILD_STRING
    String value of the media type `application/*+xml`
    See Also:
      - Constant Field Values

  - ### APPLICATION_ZIP_STRING

    public static final String APPLICATION_ZIP_STRING
    String value of the media type `application/zip`
    See Also:
      - Constant Field Values

  - ### APPLICATION_VND_XPLORE_XML_STRING

    public static final String APPLICATION_VND_XPLORE_XML_STRING
    String value of media tye `application/vnd.emc.xplore+xml`
    See Also:
      - Constant Field Values

  - ### APPLICATION_VND_DCTM_XML

    public static final org.springframework.http.MediaType APPLICATION_VND_DCTM_XML
    The media type `application/vnd.emc.documentum+xml`

  - ### APPLICATION_VND_DCTM_JSON

    public static final org.springframework.http.MediaType APPLICATION_VND_DCTM_JSON
    The media type `application/vnd.emc.documentum+json`

  - ### APPLICATION_JSON_HOME

    public static final org.springframework.http.MediaType APPLICATION_JSON_HOME
    The media type `application/home+json`

  - ### APPLICATION_XML_HOME

    public static final org.springframework.http.MediaType APPLICATION_XML_HOME
    The media type `application/home+xml`

  - ### APPLICATION_JSON_HAL

    public static final org.springframework.http.MediaType APPLICATION_JSON_HAL
    The media type `application/hal+json`

  - ### MULTIPART_MIXED

    public static final org.springframework.http.MediaType MULTIPART_MIXED
    The media type `multipart/mixed`

  - ### MULTIPART_RELATED_STRING

    public static final String MULTIPART_RELATED_STRING
    The media type `multipart/related`
    See Also:
      - Constant Field Values

  - ### MULTIPART_RELATED

    public static final org.springframework.http.MediaType MULTIPART_RELATED
    The media type `multipart/related`

  - ### APPLICATION_XOP_STRING

    public static final String APPLICATION_XOP_STRING
    The media type `application/xop+xml`
    See Also:
      - Constant Field Values

  - ### APPLICATION_JOP_STRING

    public static final String APPLICATION_JOP_STRING
    The media type `application/jop+json`
    See Also:
      - Constant Field Values

  - ### APPLICATION_XOP

    public static final org.springframework.http.MediaType APPLICATION_XOP
    The media type `application/xop+xml`

  - ### APPLICATION_JOP

    public static final org.springframework.http.MediaType APPLICATION_JOP
    The media type `application/jop+json`

  - ### APPLICATION_JSON_WILD

    public static final org.springframework.http.MediaType APPLICATION_JSON_WILD
    The media type `application/*+json`

  - ### APPLICATION_XML_WILD

    public static final org.springframework.http.MediaType APPLICATION_XML_WILD
    The media type `application/*+xml`

  - ### APPLICATION_ZIP

    public static final org.springframework.http.MediaType APPLICATION_ZIP
    The media type `application/zip`

  - ### APPLICATION_VND_XPLORE_XML

    public static final org.springframework.http.MediaType APPLICATION_VND_XPLORE_XML
    The media type `application/vnd.emc.xplore+xml`

  - ### WRITABLE_XML_MEDIA_TYPES

    public static final org.springframework.http.MediaType[] WRITABLE_XML_MEDIA_TYPES

  - ### WRITABLE_JSON_MEDIA_TYPES

    public static final org.springframework.http.MediaType[] WRITABLE_JSON_MEDIA_TYPES

  - ### WRITABLE_HAL_MEDIA_TYPES

    public static final org.springframework.http.MediaType[] WRITABLE_HAL_MEDIA_TYPES

- ## Method Details

  - ### defaultMediaType

    @Deprecated public static org.springframework.http.MediaType defaultMediaType()
    Deprecated.
    the method is not used any more
    Default media type to fallback to. The default media type can be configured in the runtime property 'rest.default.media.type'. If it is not set, the media type 'application/vnd.emc.documentum+json' will be returned.
    Returns:
      the default media type

  - ### defaultAtomEntryMediaType

    @Deprecated public static org.springframework.http.MediaType defaultAtomEntryMediaType()
    Deprecated.
    the method is not used any more
    Default media type to fallback to. The default media type can be configured in the runtime property 'rest.default.atom.entry.media.type'. If it is not set, the media type 'application/vnd.emc.documentum+xml' will be returned.
    Returns:
      the default media type for the resource in atom entry

  - ### standardFormatExt

    public static String standardFormatExt(String requestUri)
    Get standard URI format extension from the URI
    Parameters:
      `requestUri` - the request URI
    Returns:
      the format extension of the URI

  - ### all

    @Deprecated public static List<org.springframework.http.MediaType> all()
    Deprecated.
    the method is not used any more
    Return a list of supported media types with default order
    Returns:
      a list of supported MediaType

  - ### get

    @Deprecated public static List<org.springframework.http.MediaType> get(String formatExt)
    Deprecated.
    the method is not used any more
    Return a list of MediaType according to some format extension provided
    Parameters:
      `formatExt` - the format extension provided, case insensitive
    Returns:
      a list of MediaType for that format extension

  - ### getMediaTypes

    public static List<org.springframework.http.MediaType> getMediaTypes(String mediaType)
    Get the media type list for the supported media type string
    Parameters:
      `mediaType` - the media type string
    Returns:
      the list of MediaType of specified media type

  - ### supportedConsumableMediaType

    public static String[] supportedConsumableMediaType()
    Return the supported consumable media types at runtime setting.
    Returns:
      the supported consumable media types.